Class RolloutsListResponse.Builder (1.105.0)

public static final class RolloutsListResponse.Builder extends GeneratedMessage.Builder<RolloutsListResponse.Builder> implements RolloutsListResponseOrBuilder

Protobuf type google.cloud.compute.v1.RolloutsListResponse

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends Rollout> values)

public RolloutsListResponse.Builder addAllItems(Iterable<? extends Rollout> values)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.Rollout>
Returns
Type Description
RolloutsListResponse.Builder

addAllUnreachables(Iterable<String> values)

public RolloutsListResponse.Builder addAllUnreachables(Iterable<String> values)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
values Iterable<String>

The unreachables to add.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

addItems(Rollout value)

public RolloutsListResponse.Builder addItems(Rollout value)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
value Rollout
Returns
Type Description
RolloutsListResponse.Builder

addItems(Rollout.Builder builderForValue)

public RolloutsListResponse.Builder addItems(Rollout.Builder builderForValue)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
builderForValue Rollout.Builder
Returns
Type Description
RolloutsListResponse.Builder

addItems(int index, Rollout value)

public RolloutsListResponse.Builder addItems(int index, Rollout value)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameters
Name Description
index int
value Rollout
Returns
Type Description
RolloutsListResponse.Builder

addItems(int index, Rollout.Builder builderForValue)

public RolloutsListResponse.Builder addItems(int index, Rollout.Builder builderForValue)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameters
Name Description
index int
builderForValue Rollout.Builder
Returns
Type Description
RolloutsListResponse.Builder

addItemsBuilder()

public Rollout.Builder addItemsBuilder()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
Rollout.Builder

addItemsBuilder(int index)

public Rollout.Builder addItemsBuilder(int index)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Rollout.Builder

addUnreachables(String value)

public RolloutsListResponse.Builder addUnreachables(String value)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
value String

The unreachables to add.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

addUnreachablesBytes(ByteString value)

public RolloutsListResponse.Builder addUnreachablesBytes(ByteString value)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
value ByteString

The bytes of the unreachables to add.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

build()

public RolloutsListResponse build()
Returns
Type Description
RolloutsListResponse

buildPartial()

public RolloutsListResponse buildPartial()
Returns
Type Description
RolloutsListResponse

clear()

public RolloutsListResponse.Builder clear()
Returns
Type Description
RolloutsListResponse.Builder
Overrides

clearEtag()

public RolloutsListResponse.Builder clearEtag()

optional string etag = 3123477;

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

clearId()

public RolloutsListResponse.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

clearItems()

public RolloutsListResponse.Builder clearItems()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
RolloutsListResponse.Builder

clearNextPageToken()

public RolloutsListResponse.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

public RolloutsListResponse.Builder clearSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

clearUnreachables()

public RolloutsListResponse.Builder clearUnreachables()

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

clearWarning()

public RolloutsListResponse.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
RolloutsListResponse.Builder

getDefaultInstanceForType()

public RolloutsListResponse getDefaultInstanceForType()
Returns
Type Description
RolloutsListResponse

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getEtag()

public String getEtag()

optional string etag = 3123477;

Returns
Type Description
String

The etag.

getEtagBytes()

public ByteString getEtagBytes()

optional string etag = 3123477;

Returns
Type Description
ByteString

The bytes for etag.

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public Rollout getItems(int index)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Rollout

getItemsBuilder(int index)

public Rollout.Builder getItemsBuilder(int index)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Rollout.Builder

getItemsBuilderList()

public List<Rollout.Builder> getItemsBuilderList()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
int

getItemsList()

public List<Rollout> getItemsList()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
List<Rollout>

getItemsOrBuilder(int index)

public RolloutOrBuilder getItemsOrBuilder(int index)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
RolloutOrBuilder

getItemsOrBuilderList()

public List<? extends RolloutOrBuilder> getItemsOrBuilderList()

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Returns
Type Description
List<? extends com.google.cloud.compute.v1.RolloutOrBuilder>

getNextPageToken()

public String getNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
String

The nextPageToken.

getNextPageTokenBytes()

public ByteString getNextPageTokenBytes()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
ByteString

The bytes for nextPageToken.

public String getSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public ByteString getSelfLinkBytes()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getUnreachables(int index)

public String getUnreachables(int index)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The unreachables at the given index.

getUnreachablesBytes(int index)

public ByteString getUnreachablesBytes(int index)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the unreachables at the given index.

getUnreachablesCount()

public int getUnreachablesCount()

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
int

The count of unreachables.

getUnreachablesList()

public ProtocolStringList getUnreachablesList()

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Returns
Type Description
ProtocolStringList

A list containing the unreachables.

getWarning()

public Warning getWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning

The warning.

getWarningBuilder()

public Warning.Builder getWarningBuilder()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning.Builder

getWarningOrBuilder()

public WarningOrBuilder getWarningOrBuilder()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
WarningOrBuilder

hasEtag()

public boolean hasEtag()

optional string etag = 3123477;

Returns
Type Description
boolean

Whether the etag field is set.

hasId()

public boolean hasId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasNextPageToken()

public boolean hasNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
boolean

Whether the nextPageToken field is set.

public boolean hasSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasWarning()

public boolean hasWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
boolean

Whether the warning field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(RolloutsListResponse other)

public RolloutsListResponse.Builder mergeFrom(RolloutsListResponse other)
Parameter
Name Description
other RolloutsListResponse
Returns
Type Description
RolloutsListResponse.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public RolloutsListResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
RolloutsListResponse.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public RolloutsListResponse.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
RolloutsListResponse.Builder
Overrides

mergeWarning(Warning value)

public RolloutsListResponse.Builder mergeWarning(Warning value)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
RolloutsListResponse.Builder

removeItems(int index)

public RolloutsListResponse.Builder removeItems(int index)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
RolloutsListResponse.Builder

setEtag(String value)

public RolloutsListResponse.Builder setEtag(String value)

optional string etag = 3123477;

Parameter
Name Description
value String

The etag to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setEtagBytes(ByteString value)

public RolloutsListResponse.Builder setEtagBytes(ByteString value)

optional string etag = 3123477;

Parameter
Name Description
value ByteString

The bytes for etag to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setId(String value)

public RolloutsListResponse.Builder setId(String value)

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value String

The id to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setIdBytes(ByteString value)

public RolloutsListResponse.Builder setIdBytes(ByteString value)

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value ByteString

The bytes for id to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setItems(int index, Rollout value)

public RolloutsListResponse.Builder setItems(int index, Rollout value)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameters
Name Description
index int
value Rollout
Returns
Type Description
RolloutsListResponse.Builder

setItems(int index, Rollout.Builder builderForValue)

public RolloutsListResponse.Builder setItems(int index, Rollout.Builder builderForValue)

A list of Rollout resources.

repeated .google.cloud.compute.v1.Rollout items = 100526016;

Parameters
Name Description
index int
builderForValue Rollout.Builder
Returns
Type Description
RolloutsListResponse.Builder

setNextPageToken(String value)

public RolloutsListResponse.Builder setNextPageToken(String value)

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value String

The nextPageToken to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setNextPageTokenBytes(ByteString value)

public RolloutsListResponse.Builder setNextPageTokenBytes(ByteString value)

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value ByteString

The bytes for nextPageToken to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

public RolloutsListResponse.Builder setSelfLink(String value)

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value String

The selfLink to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setSelfLinkBytes(ByteString value)

public RolloutsListResponse.Builder setSelfLinkBytes(ByteString value)

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value ByteString

The bytes for selfLink to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setUnreachables(int index, String value)

public RolloutsListResponse.Builder setUnreachables(int index, String value)

Output only. [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder

repeated string unreachables = 243372063;

Parameters
Name Description
index int

The index to set the value at.

value String

The unreachables to set.

Returns
Type Description
RolloutsListResponse.Builder

This builder for chaining.

setWarning(Warning value)

public RolloutsListResponse.Builder setWarning(Warning value)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
RolloutsListResponse.Builder

setWarning(Warning.Builder builderForValue)

public RolloutsListResponse.Builder setWarning(Warning.Builder builderForValue)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
builderForValue Warning.Builder
Returns
Type Description
RolloutsListResponse.Builder